Bug 198070 - [maintainer update] misc/saaghar update to 2.5.0
Summary: [maintainer update] misc/saaghar update to 2.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-27 11:04 UTC by javad.kouhi
Modified: 2015-03-05 12:36 UTC (History)
2 users (show)

See Also:


Attachments
everything needed to update the port to 2.5.0 is included in this patch file (17.01 KB, patch)
2015-02-27 11:04 UTC, javad.kouhi
no flags Details | Diff
a second patch file (17.66 KB, patch)
2015-03-04 20:45 UTC, javad.kouhi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description javad.kouhi 2015-02-27 11:04:25 UTC
Created attachment 153576 [details]
everything needed to update the port to 2.5.0 is included in this patch file

> uname -a
FreeBSD home.minootux.org 10.1-STABLE FreeBSD 10.1-STABLE #0 r279204: Mon Feb 23 16:55:20 IRST 2015     javad@home.minootux.org:/usr/obj/usr/src/sys/GIGABYTE  amd64
> 

The patch file is attached.
Comment 1 Bartek Rutkowski freebsd_committer 2015-03-04 12:54:51 UTC
Hi, have you seen that portlint is complaining about the DEBUG option not having OPTIONS_DEFINE when tested on the port with your patch applied?
Comment 2 Bartek Rutkowski freebsd_committer 2015-03-04 13:30:32 UTC
In addition to the above, the port fails to build on 8.4-RELEASE, with errors seen in this log file:

http://pd.valinor.palantiri.org/data/84amd64-default/2015-03-04_14h16m25s/logs/errors/saaghar-2.5.0.log
Comment 3 javad.kouhi 2015-03-04 20:45:06 UTC
Created attachment 153796 [details]
a second patch file

Hello. Thank you very much. I've attached a new patch file. The previous patch file is now obsolete, everything is included in this patch. I also updated ganjoor database to 930711.
Comment 4 commit-hook freebsd_committer 2015-03-05 12:33:17 UTC
A commit references this bug:

Author: robak
Date: Thu Mar  5 12:32:58 UTC 2015
New revision: 380486
URL: https://svnweb.freebsd.org/changeset/ports/380486

Log:
  misc/saaghar: update 1.0.94 -> 2.5.0

  PR:		198070
  Submitted by:	Javad Kouchi <javad.kouhi@gmail.com>

Changes:
  head/misc/saaghar/Makefile
  head/misc/saaghar/distinfo
  head/misc/saaghar/pkg-plist
Comment 5 Bartek Rutkowski freebsd_committer 2015-03-05 12:36:31 UTC
Committed, thanks for your work!